searchNodes=[{"doc":"An Mnesia backend for Hammer The public API of this module is used by Hammer to store information about rate-limit 'buckets'. A bucket is identified by a key , which is a tuple {bucket_number, id} . The essential schema of a bucket is: {key, count, created_at, updated_at} , although backends are free to store and retrieve this data in whichever way they wish. Use start or start_link to start the server: { :ok , pid } = Hammer.Backend.Mnesia . start_link ( args ) args is a keyword list: expiry_ms : (integer) time in ms before a bucket is auto-deleted, should be larger than the expected largest size/duration of a bucket cleanup_interval_ms : (integer) time between cleanup runs, table_name : (atom) table name to use, defaults to :__hammer_backend_mnesia , Example: Hammer.Backend.Mnesia . start_link ( expiry_ms : 1000 * 60 * 60 , cleanup_interval_ms : 1000 * 60 * 10 )","ref":"Hammer.Backend.Mnesia.html","title":"Hammer.Backend.Mnesia","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"Hammer.Backend.Mnesia.html#child_spec/1","title":"Hammer.Backend.Mnesia.child_spec/1","type":"function"},{"doc":"Record a hit in the bucket identified by key","ref":"Hammer.Backend.Mnesia.html#count_hit/3","title":"Hammer.Backend.Mnesia.count_hit/3","type":"function"},{"doc":"Record a hit in the bucket identified by key , with a custom increment","ref":"Hammer.Backend.Mnesia.html#count_hit/4","title":"Hammer.Backend.Mnesia.count_hit/4","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#create_mnesia_table/0","title":"Hammer.Backend.Mnesia.create_mnesia_table/0","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#create_mnesia_table/1","title":"Hammer.Backend.Mnesia.create_mnesia_table/1","type":"function"},{"doc":"Create the mnesia table. table_name : atom name of table, defaults to :__hammer_backend_mnesia opt : keyword list of options to :mnesia.create_table/2 , all options are suppoted except :access_mode , :attributes , :index , :type , and :record_name , which are not configurable.","ref":"Hammer.Backend.Mnesia.html#create_mnesia_table/2","title":"Hammer.Backend.Mnesia.create_mnesia_table/2","type":"function"},{"doc":"Delete all buckets associated with id .","ref":"Hammer.Backend.Mnesia.html#delete_buckets/2","title":"Hammer.Backend.Mnesia.delete_buckets/2","type":"function"},{"doc":"Retrieve information about the bucket identified by key","ref":"Hammer.Backend.Mnesia.html#get_bucket/2","title":"Hammer.Backend.Mnesia.get_bucket/2","type":"function"},{"doc":"Callback implementation for GenServer.init/1 .","ref":"Hammer.Backend.Mnesia.html#init/1","title":"Hammer.Backend.Mnesia.init/1","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#start/0","title":"Hammer.Backend.Mnesia.start/0","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#start/1","title":"Hammer.Backend.Mnesia.start/1","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#start_link/0","title":"Hammer.Backend.Mnesia.start_link/0","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#start_link/1","title":"Hammer.Backend.Mnesia.start_link/1","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#stop/0","title":"Hammer.Backend.Mnesia.stop/0","type":"function"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#t:bucket_info/0","title":"Hammer.Backend.Mnesia.bucket_info/0","type":"type"},{"doc":"","ref":"Hammer.Backend.Mnesia.html#t:bucket_key/0","title":"Hammer.Backend.Mnesia.bucket_key/0","type":"type"},{"doc":"Hammer is a rate-limiter for the Elixir language. It's killer feature is a pluggable backend system, allowing you to use whichever storage suits your needs. This package provides a Mnesia backend for Hammer, storing rate-limit counters in an Mnesia table. To get started, read the Hammer Tutorial first, then add the hammer_backend_mnesia dependency: def deps do [ { :hammer_backend_mnesia , &quot;~&gt; 0.6&quot; } , { :hammer , &quot;~&gt; 6.1&quot; } ] end ... then configure the :hammer application to use the Redis backend: config :hammer , backend : { Hammer.Backend.Mnesia , [ expiry_ms : 60_000 * 60 * 2 , cleanup_interval_ms : 60_000 * 15 ] } And create the Mnesia table for Hammer to use: Hammer.Backend.Mnesia . create_mnesia_table ( )","ref":"overview.html","title":"A Mnesia backend for the Hammer rate-limiter","type":"extras"},{"doc":"","ref":"changelog.html","title":"CHANGELOG","type":"extras"},{"doc":"","ref":"changelog.html#0-6-0","title":"CHANGELOG - 0.6.0","type":"extras"},{"doc":"Update Dependencies Clean code Support only for Elixir 1.12 and above","ref":"changelog.html#changed","title":"CHANGELOG - Changed","type":"extras"},{"doc":"Initial release.","ref":"changelog.html#0-5-0","title":"CHANGELOG - 0.5.0","type":"extras"}]